package com.zd.laboratory.domain.vo;

import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: liujh
 * @Date: 2021/12/21/16:45
 * @Description:
 */
public class ViolationNewVo {

    /**
     * 创建者id
     */
    private Long creact_id;

    private Long id;

    private Long userId;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 学号
     */
    private String stuNo;


    private Long deptId;

    /**
     * 所属学院
     */
    private String deptName;

    /**
     * 实验室id
     */
   private Long laboratoryId;

    /**
     * 实验室名称
     */
   private String laboratoryName;

    /**
     * 模板违规id
     */
    private String reason;

    /**
     * 其他违规内容
     */
    private String violationReasons;

    /** 警告：1是打钩，-1是没打勾 */
    @Excel(name = "警告：1是打钩，-1是没打勾")
    @ApiModelProperty(value = "警告：1是打钩，-1是没打勾")
    private Integer warningStatus;
    /** 约谈：1是打钩，-1是没打勾 */
    @Excel(name = "约谈：1是打钩，-1是没打勾")
    @ApiModelProperty(value = "约谈：1是打钩，-1是没打勾")
    private Integer interviewStatus;
    /** 考试：1是打钩，-1是没打勾 */
    @Excel(name = "考试：1是打钩，-1是没打勾")
    @ApiModelProperty(value = "考试：1是打钩，-1是没打勾")
    private Integer testStatus;
    /** 学习：1是打钩，-1是没打勾 */
    @Excel(name = "学习：1是打钩，-1是没打勾")
    @ApiModelProperty(value = "学习：1是打钩，-1是没打勾")
    private Integer learnStatus;
    /** 做题：1是打钩，-1是没打勾 */
    @Excel(name = "做题：1是打钩，-1是没打勾")
    @ApiModelProperty(value = "做题：1是打钩，-1是没打勾")
    private Integer practiceStatus;
    /** 处理天数 */
    @Excel(name = "处理天数")
    @ApiModelProperty(value = "处理天数")
    private Integer handleDay;
    /** 学习小时,状态只有学习的时候用 */
    @Excel(name = "学习小时,状态只有学习的时候用")
    @ApiModelProperty(value = "学习小时,状态只有学习的时候用")
    private Long learnHour;
    /** 学习分钟，状态只有学习的时候用 */
    @Excel(name = "学习分钟，状态只有学习的时候用")
    @ApiModelProperty(value = "学习分钟，状态只有学习的时候用")
    private Long learnMinute;
    /** 题目数量，只有做题的时候才用 */
    @Excel(name = "题目数量，只有做题的时候才用")
    @ApiModelProperty(value = "题目数量，只有做题的时候才用")
    private Integer numberTopics;
    /** 做题准确率，只有做题的时候才用 */
    @Excel(name = "做题准确率，只有做题的时候才用")
    @ApiModelProperty(value = "做题准确率，只有做题的时候才用")
    private Integer numberAccuracy;

    /**
     * 违规处理方式描述
     */
    private String treatmentMethod;


    private Long creditScore;

    private Long deductionVal;

    public Long getCreact_id() {
        return creact_id;
    }

    public void setCreact_id(Long creact_id) {
        this.creact_id = creact_id;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getLaboratoryId() {
        return laboratoryId;
    }

    public void setLaboratoryId(Long laboratoryId) {
        this.laboratoryId = laboratoryId;
    }

    public String getLaboratoryName() {
        return laboratoryName;
    }

    public void setLaboratoryName(String laboratoryName) {
        this.laboratoryName = laboratoryName;
    }

    public Integer getWarningStatus() {
        return warningStatus;
    }

    public void setWarningStatus(Integer warningStatus) {
        this.warningStatus = warningStatus;
    }

    public Integer getInterviewStatus() {
        return interviewStatus;
    }

    public void setInterviewStatus(Integer interviewStatus) {
        this.interviewStatus = interviewStatus;
    }

    public Integer getTestStatus() {
        return testStatus;
    }

    public void setTestStatus(Integer testStatus) {
        this.testStatus = testStatus;
    }

    public Integer getLearnStatus() {
        return learnStatus;
    }

    public void setLearnStatus(Integer learnStatus) {
        this.learnStatus = learnStatus;
    }

    public Integer getPracticeStatus() {
        return practiceStatus;
    }

    public void setPracticeStatus(Integer practiceStatus) {
        this.practiceStatus = practiceStatus;
    }

    public Integer getHandleDay() {
        return handleDay;
    }

    public void setHandleDay(Integer handleDay) {
        this.handleDay = handleDay;
    }

    public Long getLearnHour() {
        return learnHour;
    }

    public void setLearnHour(Long learnHour) {
        this.learnHour = learnHour;
    }

    public Long getLearnMinute() {
        return learnMinute;
    }

    public void setLearnMinute(Long learnMinute) {
        this.learnMinute = learnMinute;
    }

    public Integer getNumberTopics() {
        return numberTopics;
    }

    public void setNumberTopics(Integer numberTopics) {
        this.numberTopics = numberTopics;
    }

    public Integer getNumberAccuracy() {
        return numberAccuracy;
    }

    public void setNumberAccuracy(Integer numberAccuracy) {
        this.numberAccuracy = numberAccuracy;
    }

    public Long getCreditScore() {
        return creditScore;
    }

    public void setCreditScore(Long creditScore) {
        this.creditScore = creditScore;
    }

    public String getTreatmentMethod() {
        return treatmentMethod;
    }

    public void setTreatmentMethod(String treatmentMethod) {
        this.treatmentMethod = treatmentMethod;
    }

    public Long getDeductionVal() {
        return deductionVal;
    }

    public void setDeductionVal(Long deductionVal) {
        this.deductionVal = deductionVal;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }


    public String getViolationReasons() {
        return violationReasons;
    }

    public void setViolationReasons(String violationReasons) {
        this.violationReasons = violationReasons;
    }
}
